Create API key
Create a new API key. The full key is only returned once in the response.
Create a new API key. The full key is only returned once in the response.
ApiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= length0 < valueapplication/json
application/json
curl -X POST "https://commet.co/api/v1/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'application/json
application/json
Display name for the key
Days until expiration (default 365)
Create a new API key. The full key is only returned once in the response.
{
"success": true,
"data": {
"object": "api_key",
"livemode": true,
"id": "string",
"name": "string",
"apiKey": "string",
"prefix": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt"
{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}